#
# spec file for package perl-List-SomeUtils-XS
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-List-SomeUtils-XS
Version:        0.58
Release:        1.30
%define cpan_name List-SomeUtils-XS
Summary:        XS implementation for List::SomeUtils
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/List-SomeUtils-XS/
Source0:        https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::LeakTrace)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::Warnings) >= 0.006
%{perl_requires}

%description
There are no user-facing parts here. See List::SomeUtils for API details.

You shouldn't have to install this module directly. When you install
List::SomeUtils, it checks whether your system has a compiler. If it does,
then it adds a dependency on this module so that it gets installed and you
have the faster XS implementation.

This distribution requires List::SomeUtils but to avoid a circular
dependency, that dependency is explicitly left out from the this
distribution's metadata. However, without LSU already installed this module
cannot function.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING.md README.md
%license LICENSE

%changelog
* Sun Jul 22 2018 coolo@suse.com
- updated to 0.58
  see /usr/share/doc/packages/perl-List-SomeUtils-XS/Changes
  0.58     2018-06-08
  - Re-release to fix the generated Makefile.PL. We do not want to try to build
    the XS code with compiler warnings enabled except on Perl 5.24+. There are
    unavoidable warnings with older Perls. If you tried to install this distro
    in an environment where AUTHOR_TESTING was set, these warnings would be
    enabled, along with "-Werror", causing the build to fail
    completely. Reported by Olaf Alders. GH #3.
  0.57     2018-05-26
  - Fix C compiler warnings. Reported by Jim Keenan. GH #2.
* Thu Dec 14 2017 coolo@suse.com
- updated to 0.56
  see /usr/share/doc/packages/perl-List-SomeUtils-XS/Changes
  0.56     2017-12-12
  - The one() sub returned true when given an empty list, but it should return
    false. Reported by randyl. GH #3.
* Tue Jul 25 2017 coolo@suse.com
- updated to 0.55
  see /usr/share/doc/packages/perl-List-SomeUtils-XS/Changes
  0.55     2017-07-23
  - Skip all the tests unless List::SomeUtils 0.56 is installed. This fixes the
    issue where trying to install the new List::SomeUtils ends up pulling this
    distribution, which then fails because an older LSU is installed but doesn't
    export mode(). Reported by John SJ Anderson. GH #1.
* Sun Jul 23 2017 coolo@suse.com
- updated to 0.54
  see /usr/share/doc/packages/perl-List-SomeUtils-XS/Changes
  0.54     2017-07-22
  - Added a new function, mode(), requested by Jerrad Pierce. GH #2.
* Fri Jun  2 2017 coolo@suse.com
- updated to 0.53
  see /usr/share/doc/packages/perl-List-SomeUtils-XS/Changes
  0.53     2017-06-01
  - Moved issue tracking to GitHub.
* Sat Jun 25 2016 coolo@suse.com
- initial package 0.52
  * created by cpanspec 1.78.08
